<?php

/**
* List of Discounts
* @return string
*/
function listDiscounts( ){
  global $lang;
  $oFFS = FlatFilesSerialize::getInstance( );

  $aDiscounts = $oFFS->getData( DB_DISCOUNTS, true );
  if( isset( $aDiscounts ) && is_array( $aDiscounts ) && count( $aDiscounts ) > 0 ){
    $content = null;
    $iCount = count( $aDiscounts );
    $i = 0;

    foreach( $aDiscounts as $iKey => $aData ){
      $content .= '<tr class="l'.( ( $i % 2 ) ? 0: 1 ).'"><td>'.$aData['iDiscount'].'</td><td><a href="?p=discounts-form&amp;iDiscount='.$aData['iDiscount'].'">'.$aData['fMinAmount'].'</a></td><td>'.$aData['fDiscount'].'%</td><td>'.throwYesNoTxt( isset( $aData['iStatus'] ) ? ( $aData['iStatus'] ) : 0 ).'</td><td class="options"><a href="?p=discounts-form&amp;iDiscount='.$aData['iDiscount'].'"><img src="'.DIR_TEMPLATES.'admin/img/ico_edit.gif" alt="'.$lang['edit'].'" title="'.$lang['edit'].'" /></a> <a href="?p=discounts-delete&amp;iDiscount='.$aData['iDiscount'].'" onclick="return del( );"><img src="'.DIR_TEMPLATES.'admin/img/ico_del.gif" alt="'.$lang['delete'].'" title="'.$lang['delete'].'"/></a></td></tr>';
      $i++;
    } // end foreach

    if( isset( $content ) )
      return $content;
  }
} // end function listDiscounts

/**
* Save Discount
* @return int
* @param array  $aForm
*/
function saveDiscount( $aForm ){
  $oFFS = FlatFilesSerialize::getInstance( );

  $aDiscounts = $oFFS->getData( DB_DISCOUNTS, true );

  if( isset( $aForm['iDiscount'] ) && is_numeric( $aForm['iDiscount'] ) && isset( $aDiscounts[$aForm['iDiscount']] ) ){
  }
  else{
    $aForm['iDiscount'] = $oFFS->throwLastId( DB_DISCOUNTS, 'iDiscount' ) + 1;
  }    
	
  if( !isset( $aForm['iStatus'] ) )		
    $aForm['iStatus'] = 0;
   
  $aForm = changeMassTxt( $aForm, '' );
  $aDiscounts[$aForm['iDiscount']] = compareArrays( $GLOBALS['aDiscountsFields'], $aForm );

  $oFFS->saveData( DB_DISCOUNTS, $aDiscounts );

  return $aForm['iDiscount'];
} // end function saveDiscount

/**
* Return discount data
* @return array
* @param int  $iDiscount
*/
function throwDiscount( $iDiscount ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aDiscounts = $oFFS->getData( DB_DISCOUNTS, true );
  if( isset( $aDiscounts[$iDiscount] ) ){
    return $aDiscounts[$iDiscount];
  }
} // end function throwDiscount

/**
* Delete discount
* @return void
* @param int $iDiscount
*/
 function deleteDiscount( $iDiscount ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aDiscounts = $oFFS->getData( DB_DISCOUNTS, true );
  if( isset( $aDiscounts[$iDiscount] ) )
    unset( $aDiscounts[$iDiscount] );
  $oFFS->saveData( DB_DISCOUNTS, $aDiscounts );
} // end function deleteDiscount

?>